Bug 77126 - Update port: java/poseidon
Update port: java/poseidon
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: hq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-05 09:20 UTC by tux
Modified: 2005-02-06 17:05 UTC (History)
0 users

See Also:


Attachments
file.diff (1.45 KB, patch)
2005-02-05 09:20 UTC, tux
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tux 2005-02-05 09:20:22 UTC
Minor update to version 3.0.1.3
Comment 1 hq freebsd_committer 2005-02-05 15:08:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 hq freebsd_committer 2005-02-05 18:24:11 UTC
State Changed
From-To: open->feedback

This is not the way PORTREVISION should be used. 

PORTREVISION refers to a change in the port itself, not the released 
application. Hence PORTVERSION should be changed here. 

Here is a patch reflecting this. 

Index: Makefile 
=================================================================== 
RCS file: /var/fcvs/ports/java/poseidon/Makefile,v 
retrieving revision 1.8 
diff -u -r1.8 Makefile 
--- Makefile	20 Dec 2004 19:25:58 -0000	1.8 
+++ Makefile	5 Feb 2005 18:22:50 -0000 
@@ -6,14 +6,14 @@ 
# 

PORTNAME=	poseidon 
-PORTVERSION=	3.0.1 
+PORTVERSION=	3.0.1.03 
CATEGORIES=	java 
MASTER_SITES=	ftp://ftp.gentleware.org/  
http://download.gentleware.org/  
ftp://download.gentleware.biz/  
http://download.gentleware.biz/  
ftp://ftp.beine-computer.de/pub/distfiles/ 
-DISTNAME=	${PORTNAME}${EDITION}-${PORTVERSION}.01 
+DISTNAME=	${PORTNAME}${EDITION}-${PORTVERSION:S/./_/g} 

MAINTAINER=	tux@pinguru.net 
COMMENT=	A popular UML CASE tool 
Index: distinfo 
=================================================================== 
RCS file: /var/fcvs/ports/java/poseidon/distinfo,v 
retrieving revision 1.7 
diff -u -r1.7 distinfo 
--- distinfo	20 Dec 2004 19:25:58 -0000	1.7 
+++ distinfo	5 Feb 2005 18:21:45 -0000 
@@ -1,6 +1,6 @@ 
-MD5 (poseidonSE-3.0.1.01.zip) = c1954f0058e1759b564c731acfbd6c6f 
-SIZE (poseidonSE-3.0.1.01.zip) = 20360744 
-MD5 (poseidonPE-3.0.1.01.zip) = 0d85e7b93d4d2f96a23119e63a54c40a 
-SIZE (poseidonPE-3.0.1.01.zip) = 21410388 
-MD5 (poseidonCE-3.0.1.01.zip) = 1f92eb815d9d815f23f6d18a863b1747 
-SIZE (poseidonCE-3.0.1.01.zip) = 20766540 
+MD5 (poseidonCE-3_0_1_03.zip) = 379f045fd282076b089686d3919bdbdd 
+SIZE (poseidonCE-3_0_1_03.zip) = 20766367 
+MD5 (poseidonSE-3_0_1_03.zip) = 49bd6ab2acea51c9a3b8379ea1d51f98 
+SIZE (poseidonSE-3_0_1_03.zip) = 20360777 
+MD5 (poseidonPE-3_0_1_03.zip) = 80aff6384502e73833b940fd8fb950ff 
+SIZE (poseidonPE-3_0_1_03.zip) = 21410521
Comment 3 hq freebsd_committer 2005-02-06 17:04:47 UTC
State Changed
From-To: feedback->closed

Patch commited. 

Thanks for your contribution.